# Bulk Update Concepts

Update multiple concepts

Endpoint: POST /bulk_update/concepts
Version: 3.0.1807
Security: Auth0

## Request fields (application/json):

  - `concepts` (object)

  - `concepts.update` (array)

  - `concepts.update.id` (integer)
    Example: 32

  - `concepts.update.status` (boolean)

  - `concepts.update.archived` (boolean)

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `data.entity_type` (string)

  - `data.atomic_creative_list` (array)
    Example: [123,124]

  - `data.media_type_list` (array)
    Example: ["audio","display","native","video"]

  - `data.strategy_list` (array)
    Example: [456,457]

  - `data.advertiser_name` (string)

  - `data.version` (integer)
    Example: 3

  - `data.name` (string, required)

  - `data.status` (boolean)

  - `data.archived` (boolean)

  - `data.advertiser_id` (integer, required)
    Example: 76

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 207 fields (application/json):

  - `data` (array)

  - `data.id` (integer)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `data.entity_type` (string)

  - `data.atomic_creative_list` (array)
    Example: [123,124]

  - `data.media_type_list` (array)
    Example: ["audio","display","native","video"]

  - `data.strategy_list` (array)
    Example: [456,457]

  - `data.advertiser_name` (string)

  - `data.version` (integer)
    Example: 3

  - `data.name` (string, required)

  - `data.status` (boolean)

  - `data.archived` (boolean)

  - `data.advertiser_id` (integer, required)
    Example: 76

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

